PUT /traffic_sources/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/traffic_sources/:id

Update Traffic Source by id.

Update a traffic source, including its name, number limit, or team access settings.

Params

Param name Description
user_traffic_source_id
Optional

Your own unique identifier for the Traffic Source, also known as an AFID.

  • Must be a String

first_name
Optional

The first name for the Traffic Source’s contact.

  • Must be a String

last_name
Optional

The last name for the Traffic Source’s contact.

  • Must be a String

company_name
Optional

The company name for the Traffic Source’s contact.

  • Must be a String

description
Optional Blank value allowed

A free-text note about this Traffic Source, stored alongside it and returned in the API response.

  • Must be a String

number_limit
Optional

How many numbers can team members purchase for this Traffic Source?

  • Must be a decimal number.

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value
grant_team_offer_id
Optional Blank value allowed

Give this Traffic Source access to this Offer.

revoke_team_offer_id
Optional Blank value allowed

Remove access to this Offer for this Traffic Source.

generate_team
Optional

Grant access to this Traffic Source, and calls that it publishes.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

team_users_emails
Optional Blank value allowed

The selected users will receive an email invitation to collaborate on your company.

  • Must be an array of emails. EG: ["john-smith@gmail.com", "example@domain.com"]

team_offer_ids
Optional Blank value allowed

Team members will be able to buy numbers for these offers, and view calls published to them by their Traffic Source.

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Offer. Refer to: /api/docs/1.0/offers

paused
Optional

Pause or unpause.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off